Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## STD
Class emos_std_wrlog_lib

public class emos_std_wrlog_lib

This library implements the dummy interface to EMOS remote logging functionallity for WinRunner. The real interface is available through a product EMOS WrLog.

Stereotype compiled module

Method Summary
`int` | `log_cmd(in dummy)`
`int` | `log_txt(in dummy)`
`int` | `wrlog_block_data(in dummy1, in dummy2)`
`int` | `wrlog_block_init(in dummy)`
`int` | `wrlog_block_stop(in dummy1, in dummy2)`
`int` | `wrlog_debug_call_info(in dummy1, in dummy2, in dummy3)`
`int` | `wrlog_prim_data(in dummy1, in dummy2)`
`int` | `wrlog_prim_frm_info(in dummy1, in dummy2, in dummy3, in dummy4, in dummy5, in dummy6)`
`int` | `wrlog_prim_init()`
`int` | `wrlog_prim_obj_info(in dummy1, in dummy2, in dummy3, in dummy4, in dummy5)`
`int` | `wrlog_prim_stop(in dummy)`
`int` | `wrlog_print(in dummy)`
`int` | `wrlog_println(in dummy)`
`int` | `wrlog_set_data(in dummy1, in dummy2)`
`int` | `wrlog_set_init(in dummy1, in dummy2)`
`int` | `wrlog_set_stop(in dummy1, in dummy2)`
`int` | `wrlog_start(in dummy)`
`int` | `wrlog_stop(in dummy)`
`int` | `wrlog_suite_data(in dummy1, in dummy2)`
`int` | `wrlog_suite_init(in dummy1, in dummy2)`
`int` | `wrlog_suite_stop(in dummy1, in dummy2)`
`int` | `wrlog_suite_tick(in dummy)`
`int` | `wrlog_test_data(in dummy1, in dummy2)`
`int` | `wrlog_test_init(in dummy1, in dummy2, in dummy3, in dummy4)`
`int` | `wrlog_test_stop(in dummy1, in dummy2)`

Method Detail

### log_cmd

    public int log_cmd(in dummy)

### log_txt

    public int log_txt(in dummy)

### wrlog_block_data

    public int wrlog_block_data(in dummy1, in dummy2)

### wrlog_block_init

    public int wrlog_block_init(in dummy)

### wrlog_block_stop

    public int wrlog_block_stop(in dummy1, in dummy2)

### wrlog_debug_call_info

    public int wrlog_debug_call_info(in dummy1, in dummy2, in dummy3)

### wrlog_prim_data

    public int wrlog_prim_data(in dummy1, in dummy2)

### wrlog_prim_frm_info

    public int wrlog_prim_frm_info(in dummy1, in dummy2, in dummy3, in dummy4, in dummy5, in dummy6)

### wrlog_prim_init

    public int wrlog_prim_init()

### wrlog_prim_obj_info

    public int wrlog_prim_obj_info(in dummy1, in dummy2, in dummy3, in dummy4, in dummy5)

### wrlog_prim_stop

    public int wrlog_prim_stop(in dummy)

### wrlog_print

    public int wrlog_print(in dummy)

### wrlog_println

    public int wrlog_println(in dummy)

### wrlog_set_data

    public int wrlog_set_data(in dummy1, in dummy2)

### wrlog_set_init

    public int wrlog_set_init(in dummy1, in dummy2)

### wrlog_set_stop

    public int wrlog_set_stop(in dummy1, in dummy2)

### wrlog_start

    public int wrlog_start(in dummy)

### wrlog_stop

    public int wrlog_stop(in dummy)

### wrlog_suite_data

    public int wrlog_suite_data(in dummy1, in dummy2)

### wrlog_suite_init

    public int wrlog_suite_init(in dummy1, in dummy2)

### wrlog_suite_stop

    public int wrlog_suite_stop(in dummy1, in dummy2)

### wrlog_suite_tick

    public int wrlog_suite_tick(in dummy)

### wrlog_test_data

    public int wrlog_test_data(in dummy1, in dummy2)

### wrlog_test_init

    public int wrlog_test_init(in dummy1, in dummy2, in dummy3, in dummy4)

### wrlog_test_stop

    public int wrlog_test_stop(in dummy1, in dummy2)

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD